Name:                  fixedptc
Version:               0

%global forgeurl       https://sourceforge.net/projects/%{name}/
%global date           20150308
%global commit         80b0448ce12fca714b8143722901cb5f9d220f80
%global scm            hg
%global archiveext     zip
%global archivename    %{name}-code
%global forgesource    https://sourceforge.net/code-snapshots/%{scm}/f/fi/%{name}/code/%{archivename}-%{commit}.zip
%global forgesetupargs -n %{name}-code-%{commit}

%forgemeta             -v

Release:               1%{?dist}
Summary:               Fixed point math header only library for C
License:               BSD
Url:                   %{forgeurl}
Source0:               %{forgesource}
# Allow to specify compiler and linker options
# Upstream merge-request: https://sourceforge.net/p/fixedptc/code/merge-requests/1/
Patch0:                %{name}-Allow-to-specify-compiler-and-linker-flags.patch
# Fix compiler warning
# Upstream merge-request: https://sourceforge.net/p/fixedptc/code/merge-requests/1/
Patch1:                %{name}-Fixes-shift-count-overflow-compiler-warning.patch
BuildArch:             noarch

BuildRequires:         /usr/bin/git
BuildRequires:         gcc

%description


%package  devel
Summary:  Fixed point math header only library for C
Requires: pkgconfig


%description devel
Development package for fixed point math header only library for C.

Features:
 - 32-bit and 64-bit precision support
   (for compilers with __int128_t extensions like gcc)
 - Arbitrary precision point (e.g. 24.8 or 32.32)
 - Pure header-only
 - Pure integer-only (suitable for kernels, embedded CPUs, etc)


%prep
%forgeautosetup -S git


%build
export CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}"
%{make_build} test verify_32
# This test requires 64-bit platform
%if %{__isa_bits} == 64
%{make_build} test verify_64
%endif

%install
install -p -m 0644 -D %{name}.h %{buildroot}%{_includedir}/%{name}/%{name}.h


%check
./test
./verify_32
# This test requires 64-bit platform
%if %{__isa_bits} == 64
./verify_64
%endif

%files devel
# Note: we do not have a separate license file,
# however, the header file contains the text of the license.
# % license
%doc README.txt
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/%{name}.h


%changelog
* Fri Feb 28 2020 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.20150308-1
- Initial RPM release.
